IPAddr.class_eval do
  def to_cidr
    "#{self.to_s}/#{@mask_addr}"
  end

end

Puppet::Type.newtype(:ipset) do
  ensurable

  newparam(:name) do
    isnamevar
  end

  newproperty(:set, :array_matching => :all) do
    def insync?(is)
      is_ips = is.collect{|ip| IPAddr.new(ip).to_cidr}
      should_ips = should.collect{|ip| IPAddr.new(ip).to_cidr}

      is_ips.sort == should_ips.sort
    end
  end

  newproperty(:type) do
    defaultto 'hash:net'
  end

  newparam(:type_options)
end
