# Class: ipset
# ===========================
#
# Full description of class ipset here.
#
# Parameters
# ----------
#
# Document parameters here.
#
# * `sample parameter`
# Explanation of what this parameter affects and what it defaults to.
# e.g. "Specify one or more upstream ntp servers as an array."
#
# Variables
# ----------
#
# Here you should define a list of variables that this module would require.
#
# * `sample variable`
#  Explanation of how this variable affects the function of this class and if
#  it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#  External Node Classifier as a comma separated list of hostnames." (Note,
#  global variables should be avoided in favor of class parameters as
#  of Puppet 2.6.)
#
# Examples
# --------
#
# @example
#    class { 'ipset':
#      servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#    }
#
# Authors
# -------
#
# Author Name <author@domain.com>
#
# Copyright
# ---------
#
# Copyright 2017 Your name here, unless otherwise noted.
#
class ipset {
  package{'ipset':
    ensure=>latest,
  }

  Ipset<| |> ->
  file{'/etc/sysconfig/ipset':
    ensure=>file,
    owner =>root,
    group =>root,
    mode  =>'0640',
  }
  file{'/usr/libexec/ipset':
    ensure  =>directory,
    owner   =>root,
    group   =>root,
    mode    =>'0750',
    source  =>'puppet:///modules/ipset/libexec',
    recurse =>true,
    purge   =>true,
    force   =>true,
  }
  file{'/usr/lib/systemd/system/ipset.service':
    ensure=>file,
    owner =>root,
    group =>root,
    mode  =>'0640',
    source=>'puppet:///modules/ipset/ipset.service',
  } ->
  service{'ipset':
    ensure=>running,
    enable=>true,
  }
}
